## org.apache.mahout.clustering.evaluation
Class RepresentativePointsDriver

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.clustering.evaluation.RepresentativePointsDriver

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class RepresentativePointsDriver

extends AbstractJob

Field Summary
`static String` `DISTANCE_MEASURE_KEY`
`static String` `STATE_IN_KEY`

Method Summary
`static void` `main(String[] args)`
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path clustersIn, org.apache.hadoop.fs.Path clusteredPointsIn, org.apache.hadoop.fs.Path output, DistanceMeasure measure, int numIterations, boolean runSequential)`
`int` `run(String[] args)`

Methods inherited from class org.apache.mahout.common.AbstractJob
`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, getInputPath, getOption, getOutputPath, hasOption, keyFor, maybePut, parseArguments, parseDirectories, prepareJob, shouldRunNextPhase`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Field Detail

### STATE_IN_KEY

    public static final String STATE_IN_KEY

See Also:
  Constant Field Values

### DISTANCE_MEASURE_KEY

    public static final String DISTANCE_MEASURE_KEY

See Also:
  Constant Field Values

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public int run(String[] args)
            throws ClassNotFoundException,
                   InstantiationException,
                   IllegalAccessException,
                   IOException,
                   InterruptedException

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`
    `IOException`
    `InterruptedException`

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path clustersIn,
                           org.apache.hadoop.fs.Path clusteredPointsIn,
                           org.apache.hadoop.fs.Path output,
                           DistanceMeasure measure,
                           int numIterations,
                           boolean runSequential)
                    throws InstantiationException,
                           IllegalAccessException,
                           IOException,
                           InterruptedException,
                           ClassNotFoundException

  Throws:
    `InstantiationException`
    `IllegalAccessException`
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.